package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 活动表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="活动表对象", description="活动表")
public class BaseActive {

	@ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@ApiModelProperty(value = "活动code（即页面上的手输的活动id）")
    private String activeCode;

	@ApiModelProperty(value = "活动名称")
    private String activeName;

	@ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @ApiModelProperty(value = "活动审核状态 1-待审核 2-通过 9-驳回")
    private Integer auditStatus;

    @ApiModelProperty(value = "申请时间")
    private LocalDateTime applyTime;

    @ApiModelProperty(value = "申请人id")
    private Long applyUserId;

    @ApiModelProperty(value = "申请人姓名")
    private String applyUserName;

    @ApiModelProperty(value = "审核人id")
    private Long auditUserId;

    @ApiModelProperty(value = "审核人姓名")
    private String auditUserName;

	@ApiModelProperty(value = "活动开始日期")
    private LocalDateTime beginTime;

	@ApiModelProperty(value = "活动结束日期")
    private LocalDateTime endTime;

	@ApiModelProperty(value = "品牌code")
    private String brandCode;

	@ApiModelProperty(value = "子品牌code")
    private String subBrandCode;

	@ApiModelProperty(value = "活动域名")
    private String activeUrl;

	@ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

	@ApiModelProperty(value = "创建人id")
    private Long createBy;

	@ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

	@ApiModelProperty(value = "修改人id")
    private Long updateBy;

	@ApiModelProperty(value = "是否删除")
    private Integer isDelete;

    @ApiModelProperty(value = "是否有效")
    private Integer valid;

}
