package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 供应商信息
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "供应商信息对象", description = "供应商信息")
public class BaseFactory {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "供应商id")
    private String factoryCode;

    @ApiModelProperty(value = "供应商名称")
    private String factoryName;

    @ApiModelProperty(value = "供应商类型 1-包材厂 2-啤酒厂")
    private Integer factoryType;

    @ApiModelProperty(value = "供应商级别 1-一级供应商 2-二级供应商")
    private Integer factoryLevel;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "区")
    private String district;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "联系人姓名")
    private String keymanName;

    @ApiModelProperty(value = "联系人手机号")
    private String keymanMobile;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "文件最大数")
    private Long maxFileCount;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "是否有效 0-无效 1-有效")
    private Integer valid;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人id")
    private Long createBy;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "是否删除")
    private Integer isDelete;


}
