package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * sku表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="sku表对象", description="sku表")
public class BaseSku {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "商品编号（即页面上手输的skuid）")
    private String skuCode;

	@Schema(name = "sku名称")
    private String skuName;

	@Schema(name = "品牌code")
    private String brandCode;

	@Schema(name = "子品牌code")
    private String subBrandCode;

    @Schema(name = "是否有效 0-无效 1-有效")
    private Integer valid;

	@Schema(name = "创建时间")
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    private Long createBy;

	@Schema(name = "修改时间")
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
