package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 箱码幅面关联码库拆分数量
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="箱码幅面关联码库拆分数量对象", description="箱码幅面关联码库拆分数量")
public class QrBoxCodeFormatSplit {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "箱码幅面id")
    private Long boxCodeFormatId;

	@Schema(name = "码库id")
    private Long qrRepertoryId;

	@Schema(name = "码库列id")
    private Long qrRepertoryColumnId;

	@Schema(name = "拆分数量")
    private Integer splitNum;

	@Schema(name = "创建时间")
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    private Long createBy;

	@Schema(name = "修改时间")
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
