package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 箱码关联表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="箱码关联表对象", description="箱码关联表")
public class QrBoxMapping {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "条码序号")
    private String boxCode;

	@Schema(name = "起始序号")
    private Long indexBegin;

	@Schema(name = "结束序号")
    private Long indexEnd;

	@Schema(name = "起始二维码")
    private String beginQrCode;

	@Schema(name = "结束二维码")
    private String endQrCode;

	@Schema(name = "条数")
    private Long qrCodeCount;

	@Schema(name = "激活状态")
    private Integer activeStatus;

	@Schema(name = "激活时间")
    private LocalDateTime activeTime;

	@Schema(name = "激活人id")
    private Long activeUserId;

	@Schema(name = "激活人姓名")
    private String activeUserName;

	@Schema(name = "码包id")
    private Long packageId;

	@Schema(name = "项目号")
    private String projectNo;

	@Schema(name = "版号")
    private String boardNo;

	@Schema(name = "备注")
    private String remark;

	@Schema(name = "创建人姓名")
    private String createUserName;

	@Schema(name = "创建时间")
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    private Long createBy;

	@Schema(name = "修改时间")
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
