package com.abi.qms.platform.dao.entity;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 码包 对象 qr_package
 *
 * @author WeiganCai
 * @date 2021-04-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Schema(name="码包对象", description="码包信息")
public class QrPackage implements Serializable {

	@Schema(name = "码包id")
	private Long id;

	@Schema(name = "包材厂id")
	private Long factoryCoverId;

	@Schema(name = "二级包材厂id")
	private Long factoryCoverLevelTwoId;

	@Schema(name = "物料id")
	private Long materialId;

	@Schema(name = "二维码类型 1-箱码 2-盖码")
	private Integer qrType;

	@Schema(name = "啤酒厂id")
	private Long factoryBeerId;

	@Schema(name = "箱码幅面id")
	private Long boxCodeFormatId;

	@Schema(name = "SAP单号")
	private String sapOrderNo;

	@Schema(name = "备用码包")
	private String standbyRatio;

	@Schema(name = "码数量")
	private Long qrNumber;

	@Schema(name = "申请原因")
	private String reasonApply;

	@Schema(name = "申请状态 0-待审核 1-审核通过 2-审核拒绝")
	private Integer applyStatus;

	@Schema(name = "生成状态 0-未生成 1-生成中 2-已生成 3-失败")
	private Integer generateStatus;

	@Schema(name = "码包生成时间")
	private LocalDateTime generateTime;

	@Schema(name = "下载路径")
	private String downloadPath;

	@Schema(name = "下载压缩文件密码")
	private String zipPassword;

	@Schema(name = "是否已下载")
    private Integer isDownload;

	@Schema(name = "创建时间")
	private LocalDateTime createTime;

	@Schema(name = "创建人id")
	private Long createBy;

	@Schema(name = "修改时间")
	private LocalDateTime updateTime;

	@Schema(name = "修改人id")
	private Long updateBy;

	@Schema(name = "是否删除")
	private Integer isDelete;

}
