package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;


/**
 * 码库 对象 qr_repertory
 *
 * @author WeiganCai
 * @date 2021-04-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="码库对象", description="码库信息")
public class QrRepertory {

	@ApiModelProperty("码库id")
	@TableId(value = "id", type = IdType.AUTO)
	private Long id;

	@ApiModelProperty("码库名称")
	private String name;

	@ApiModelProperty("码库类型 1-系统生成 2-文本导入 3-FTP接入")
	private Integer type;

	@ApiModelProperty("码库状态 10-待生成 11-自动生成 20-待导入 21-已导入 40-停用")
	private Integer status;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "创建人id")
	private Long createBy;

	@ApiModelProperty(value = "修改时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "修改人id")
	private Long updateBy;

	@ApiModelProperty("是否删除")
	private Integer isDelete;

}
