package com.abi.qms.platform.dao.tablestore.entity;

import com.abi.task.common.tablestore.common.TableStore;
import com.abi.task.common.tablestore.common.TableStoreEntity;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * ludashi
 * tablestore
 */
@Data
@NoArgsConstructor
@TableStore(tableName = "qr_code",primaryKeyName = "id")
public class QrCode implements TableStoreEntity, Serializable {

    /**
     * 主键
     */
    private String id;

    /**
     * 码
     */
    private String code;

    /**
     * 码包id
     */
    private Long packageId;

    /**
     * 批次id
     */
    private Long batchNumberId;

    /**
     * url
     */
    private String url;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 已生成码包位置
     */
    private Long codeIndex;
}
