package com.abi.qms.platform.dto.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 新增物料入参
 */
@Data
@Schema
public class AddMaterialReq implements Serializable {

    @NotEmpty(message = "物料号为空")
    @Schema(name = "物料号")
    private String materialCode;

    @NotEmpty(message = "物料名称为空")
    @Schema(name = "物料名称")
    private String materialName;

    @NotNull
    @Schema(name = "物料类型: 1-瓶子 2-PET 3-罐子 4-瓶盖 5-纸板箱 6-塑箱 7-小桶&叉子 8-托盘")
    private Integer materialType;

    @Schema(name = "描述")
    private String description;

    @NotNull
    @Schema(name = "SKU商品Id")
    private Long skuId;

}
