package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 分页查询物料入参
 */
@Data
@Schema
public class ListMaterialReq extends PageReq implements Serializable {

    @Schema(name = "物料号")
    private String materialCode;

    @Schema(name = "物料名称")
    private String materialName;

    @Schema(name = "物料类型: 1-瓶子 2-PET 3-罐子 4-瓶盖 5-纸板箱 6-塑箱 7-小桶&叉子 8-托盘")
    private Integer materialType;

    @Schema(name = "是否有效 0-无效 1-有效")
    private Integer valid;

    @Schema(name = "SKU商品名称")
    private String skuName;

}
