package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询活动明细出参
 */
@Data
@ApiModel
public class GetActiveRes implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "活动code（即页面上的手输的活动id）")
    private String activeCode;

    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @ApiModelProperty(value = "活动开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "活动结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "品牌code")
    private List<String> brandCodeList;

    @ApiModelProperty(value = "品牌名称")
    private List<String> brandNameList;

    @ApiModelProperty(value = "活动域名")
    private String activeUrl;

    @ApiModelProperty(value = "码包列表")
    private ListActivePackage listActivePackage;

}
