package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author:Andy.Tan
 * @Description: 查询商品明细出参
 */
@Data
@Schema
public class GetSkuRes implements Serializable {

    @Schema(name = "id")
    private Long id;

    @Schema(name = "商品编号（即页面上手输的skuid）")
    private String skuCode;

    @Schema(name = "sku名称")
    private String skuName;

    @Schema(name = "品牌code")
    private String brandCode;

    @Schema(name = "子品牌code")
    private String subBrandCode;

    @Schema(name = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @Schema(name = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

}
