package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.*;
import com.abi.task.common.excel.preperties.DepartmentProperty;
import com.abi.task.common.excel.preperties.MaterialProperty;

import java.util.List;

/**
 * <p>
 * 物料管理
 * </p>
 *
 * @author Andy.Tan
 */
public interface MaterialService{


    /**
     * 新增物料
     * @param addMaterialReq
     * @throws Exception
     */
    void addMaterial(AddMaterialReq addMaterialReq);

    /**
     * 编辑物料
     * @param updateMaterialReq
     */
    void updateMaterial(UpdateMaterialReq updateMaterialReq);

    /**
     * 分页查询物料
     * @param listMaterialReq
     * @return
     */
    ListMaterialRes listMaterial(ListMaterialReq listMaterialReq);

    /**
     * 查询物料明细
     * @param getMaterialReq
     * @return
     */
    GetMaterialRes getMaterial(GetMaterialReq getMaterialReq);

    /**
     * 物料启用
     * @param enableMaterialReq
     */
    void enableMaterial(EnableMaterialReq enableMaterialReq);

    /**
     * 物料禁用
     * @param disableMaterialReq
     */
    void disableMaterial(DisableMaterialReq disableMaterialReq);

    /**
     * 批量导入物料
     * @param materialPropertyList
     * @return
     * @throws Exception
     */
    ExcelImportRes materialExcelImport(List<MaterialProperty> materialPropertyList) throws Exception;

    /**
     * 其他页面下拉选择物料
     * @param listMaterialForSelectReq
     * @return
     * @throws Exception
     */
    ListMaterialForSelectRes listMaterialForSelect(ListMaterialForSelectReq listMaterialForSelectReq) throws Exception;



}
