package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.GetUserInfoRes;
import com.abi.qms.platform.dto.res.ListRoleTreeRes;
import com.abi.qms.platform.dto.res.ListUserRes;
import com.abi.task.common.api.base.BaseResponse;


/**
 * <p>
 * 用户管理
 * </p>
 *
 * @author Andy.Tan
 */
public interface UserManagerService {

    /**
     * 创建用户
     * @param createUserReq
     * @return
     * @throws Exception
     */
    void createUser(CreateUserReq createUserReq) throws Exception;

    /**
     * 更新用户
     * @param updateUserReq
     * @throws Exception
     */
    void updateUser(UpdateUserReq updateUserReq) throws Exception;

    /**
     * 角色管理内启用的，当前操作用户的本角色或下级角色
     * @return
     * @throws Exception
     */
    ListRoleTreeRes listRoleTree() throws Exception;

    /**
     * 根据id查询单个用户信息
     * @return
     * @throws Exception
     */
    GetUserInfoRes getUserInfo(Long userInfoId) throws Exception;

    /**
     * 分页查询用户列表
     * @param listUserReq
     * @return
     * @throws Exception
     */
    ListUserRes listUser(ListUserReq listUserReq) throws Exception;

    /**
     * 启用/停用用户
     */
    void enableUser(Long userInfoId) throws Exception;

    /**
     * 批量启用/停用用户
     * @param req
     * @throws Exception
     */
    void batchEnableUser(BatchEnableUserReq req)throws Exception;
}
